import { am as VariableReference, at as StepResult } from '../base-BS0nIEFJ.cjs';
export { ao as ActionContext, an as BaseCondition, aC as DependencyCheckOutput, aJ as ExtractSchemaFromStep, aM as ExtractSchemaType, aK as ExtractStepResult, aN as PathsToStringProps, az as ResolverFunctionInput, aA as ResolverFunctionOutput, al as RetryConfig, j as Step, ah as StepAction, ar as StepCondition, as as StepConfig, aq as StepDef, ag as StepExecutionContext, ak as StepGraph, aI as StepId, aL as StepInputType, aj as StepNode, aD as StepResolverOutput, ai as StepVariableType, au as StepsRecord, aB as SubscriberFunctionOutput, ap as WhenConditionReturnValue, W as Workflow, aF as WorkflowActionParams, aG as WorkflowActions, aE as WorkflowActors, aw as WorkflowContext, ay as WorkflowEvent, ax as WorkflowLogMessage, k as WorkflowOptions, aP as WorkflowResumeResult, av as WorkflowRunResult, aO as WorkflowRunState, aH as WorkflowState, aQ as createStep } from '../base-BS0nIEFJ.cjs';
import 'ai';
import '../base-ObPJ-w8K.cjs';
import '@opentelemetry/api';
import '../index-CquI0inB.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'zod';
import 'json-schema';
import '../types-m9RryK9a.cjs';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../tts/index.cjs';
import 'xstate';
import 'node:events';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function isLimboState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
}>;

export { StepResult, VariableReference, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy };
